package org.especialistajee.jhd.filmoteca.dao;

import java.util.List;

import org.especialistajee.jhd.filmoteca.to.PeliculaTO;


/**
 * Implementaci�n del acceso a los datos de las pel�culas almacenados en un fichero
 * en el disco.
 * @author malozano
 *
 */
public class FilePeliculaDAO implements IPeliculaDAO  {
	
	/* (non-Javadoc)
	 * @see es.ua.jtech.filmoteca.dao.IPeliculaDAO#addPelicula(es.ua.jtech.filmoteca.to.PeliculaTO)
	 */
	public void addPelicula(PeliculaTO p) {
		System.out.println("A�adiendo en el fichero la pelicula " + p.getTitulo() + " con id " + p.getId());
	}

	/* (non-Javadoc)
	 * @see es.ua.jtech.filmoteca.dao.IPeliculaDAO#delPelicula(int)
	 */
	public void delPelicula(int idPelicula)  {
		System.out.println("Eliminando del fichero la pelicula con id " + idPelicula);
	}

	/* (non-Javadoc)
	 * @see es.ua.jtech.filmoteca.dao.IPeliculaDAO#getAllPeliculas()
	 */
	public List<PeliculaTO> getAllPeliculas() {
		System.out.println("Obteniendo listado de peliculas del fichero");
		return null;
	}
}
