package org.especialistajee.jhd.filmoteca.dao;

import java.util.List;

import org.especialistajee.jhd.filmoteca.to.PeliculaTO;


/**
 * Implementaci�n del acceso a los datos de las pel�culas almacenados en una base de
 * datos.
 * @author malozano
 *
 */
public class JDBCPeliculaDAO implements IPeliculaDAO {

	public void addPelicula(PeliculaTO p) {
		System.out.println("A�adiendo a la base de datos la pelicula " + p.getTitulo() + " con id " + p.getId());
	}

	public void delPelicula(int idPelicula) {
		System.out.println("Eliminando de la base de datos la pelicula con id " + idPelicula);
	}

	public List<PeliculaTO> getAllPeliculas() {
		System.out.println("Obteniendo listado de peliculas de base de datos");
		return null;
	}

}
